苹果旗下WebKit产品多个高危漏洞预警

发表于:2018-11-02 14:12:34 来源:  FreeBuf.COM 阅读数(0人)

前言


近期,360企业安全集团代码卫士团队安全研究人员发现苹果公司旗下产品 WebKit 的两个高危安全漏洞( CVE-2018-4392和CVE-2018-4378 ),并第一时间向苹果公司报告,协助其修复漏洞。


WebKit


WebKit是一个开源的浏览器引擎,同时也是苹果Mac OS X 系统引擎框架版本的名称,主要用于 Safari、Dashboard、Mail和其它一些 Mac OS X程序。北京时间2018年10月30日,苹果公司发布了安全更新公告 (https://support.apple.com/en-us/HT201222),公开致谢360企业安全集团代码卫士团队,并且发布相应的补丁修复漏洞。受影响的设备有iPhone 5s 及后续版本、iPad Air 及后续版本和 iPod touch 第6代。



致谢360代码卫士

漏洞概述


CVE-2018-4392(UAFinDFGCFGSimplification)


存在于 WebKit 的 DFGCFGSimplificationJIT 优化阶段。一块 2968-byte 的对象被释放后可在多个地方被利用。用户在通过受影响版本的 Safari浏览器访问了构造的恶意网页之后,可能受到远程代码执行攻击。

CVE-2018-4378(heap-buffer-overflow)


该漏洞存在于 WebKit 中的对象赋值过程中。当一个对象的赋值结果是它本身的时候,因为代码的执行顺序错误,会导致一个 bufferoverflow 的情况。用户在通过受影响版本的 Safari浏览器访问了构造的恶意网页之后,可能受到远程代码执行攻击。

参考链接


https://support.apple.com/en-us/HT201222

相关新闻

大家都在学

课程详情

信息安全意识教育

课程详情

小白入门之旅

课程详情

信息安全基础